#
# spec file for package yast2-add-on-creator
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-add-on-creator
Version:        3.1.3
Release:        2.3

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

PreReq:         %fillup_prereq
Requires:       rpm-build
Requires:       yast2 >= 2.21.22
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - module for creating Add-On product
License:        GPL-2.0
Group:          System/YaST

%description
A wizard for creating your own Add-On product

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%post
%{fillup_only -n add-on-creator}

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/add-on-creator
%{yast_yncludedir}/add-on-creator/*
%{yast_clientdir}/add-on-creator*.rb
%{yast_moduledir}/AddOnCreator.*
%{yast_moduledir}/PackagesDescr.pm
%{yast_desktopdir}/add-on-creator.desktop
%dir %{yast_ydatadir}/add-on-creator
%{yast_ydatadir}/add-on-creator/*
#agents:
%{yast_scrconfdir}/*.scr
%{yast_agentdir}/ag_*
%doc %{yast_docdir}
%doc COPYING
%{yast_fillupdir}/sysconfig.add-on-creator

%changelog
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.3
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.2
* Fri Jan 31 2014 jsuchome@suse.cz
- fix expect script used for signing rpm's
- generate MD5SUM files after signing packages (bnc#485825)
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Jul 24 2013 jsuchome@suse.cz
- updated product names and required packages
- 2.24.0
* Fri Dec  7 2012 jsuchome@suse.cz
- some more fixes for spaces in paths (bnc#790667)
- 2.23.0
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
- 2.22.1
* Wed Jan 11 2012 jsuchome@suse.cz
- Confirmed license
- 2.22.0
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Oct 14 2011 jsuchome@suse.cz
- handle spaces in path to rpm packages (bnc#604730)
- 2.21.2
* Mon Sep 19 2011 visnov@suse.cz
- remove dependency on Wizard_hw
- 2.21.1
* Thu Sep  1 2011 jsuchome@suse.cz
- update products list (bnc#715220)
- 2.21.0
* Tue Oct 19 2010 jsuchome@suse.cz
- do not allow spaces in NAME entry (bnc#646060)
- 2.20.1
* Mon Aug  9 2010 jsuchome@suse.cz
- correct file name of exported keys (bnc#622569)
- 2.20.0
* Tue Jul 27 2010 jsuchome@suse.cz
- cleanup the preparation directory for building iso image
  (bnc#623036)
- 2.19.2
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Dec 22 2009 jsuchome@suse.cz
- added some path escaping
- when generating new package descriptions, delete save entries of
  packages with same name (bnc#486041)
- 2.19.1
* Thu Nov 19 2009 jsuchome@suse.cz
- add checksum of y2update.tgz to content file (bnc#556630)
- 2.19.0
* Wed Oct 21 2009 jsuchome@suse.cz
- fixed importing product file (bnc#548637)
- fixed CLI handling of y2update_packages_dir option (bnc#548637)
- 2.18.8
* Thu Oct  1 2009 jsuchome@suse.cz
- added more error reporting popups (bnc#542088)
- 2.18.7
* Thu Sep  3 2009 jsuchome@suse.cz
- added keywords to desktop file
- 2.18.6
* Thu Aug 20 2009 jsuchome@suse.cz
- check for 'src' directory with input rpm packages
- 2.18.5
* Wed Apr 15 2009 jsuchome@suse.cz
- when importing pattern, replace existing with same name and arch
  (bnc#484762)
- 2.18.4
* Wed Mar 25 2009 jsuchome@suse.cz
- support patterns with same name but different architectures
  (bnc#484762)
- 2.18.3
* Mon Mar 16 2009 jsuchome@suse.cz
- create new checksum of package metadata after signing packages
  (bnc#484695)
- 2.18.2
* Thu Mar  5 2009 jsuchome@suse.cz
- fixed distribution name: OpenSUSE -> openSUSE (bnc#479737)
- 2.18.1
* Mon Jan 19 2009 jsuchome@suse.cz
- generate package metadata for -release packages (bnc#466327)
* Wed Jan 14 2009 jsuchome@suse.cz
- fixed missing translation mark (bnc#464479)
* Wed Dec 17 2008 jsuchome@suse.cz
- added CLI support for product file (disable generating, offer
  path to import)
- removed debug popup
- enable importing product file with dependency data
- 2.18.0
* Fri Dec 12 2008 jsuchome@suse.cz
- call bs_productconvert from correct path
- import data from -release packages when cloning product
  (fate#305172)
- 2.17.9
* Wed Dec  3 2008 jsuchome@suse.cz
- flag is GE, not GT
- read product requires from existing release packages
- save only values of product_info map
- 2.17.8
* Tue Dec  2 2008 jsuchome@suse.cz
- created UI for product dependency (fate#305172)
- write product dependency into input prod file
- ask for media type and flavor
- bs_productconvert produces 2 packages, take them both
- template has only product section
- 2.17.7
* Mon Nov 24 2008 jsuchome@suse.cz
- really include the template in the package
- read info from possible existing release package
- call bs_productconvert to build a spec file for release package
- build release package using rpmbuild (fate#305172)
- 2.17.6
* Wed Oct 22 2008 jsuchome@suse.cz
- added template for .prod files
* Mon Oct 13 2008 jsuchome@suse.cz
- removed obsoleted keys from content file (fate#305172)
- 2.17.5
* Tue Sep  9 2008 jsuchome@suse.cz
- merged proofread texts
- removed some obsoleted content file keys
- 2.17.4
* Tue Aug  5 2008 jsuchome@suse.cz
- recreate package metadata after signing RPMs (bnc#412591)
- more logging during write phase
- 2.17.3
* Mon Jul 14 2008 jsuchome@suse.cz
- read all content file values from saved configuration (bnc#406153)
- 2.17.2
* Wed Jun 18 2008 jsuchome@suse.cz
- 2.17.1
* Tue Jun 17 2008 lslezak@suse.cz
- ag_pattern agent - automatically compress/decompress pattern
  file with .gz suffix
* Mon Jun 16 2008 jsuchome@suse.cz
- delete products not only after immediate exit (bnc#399964)
- show more info about GPG keys
- 2.17.0
* Fri May 30 2008 jsuchome@suse.cz
- CLI: read current product data after it was cleared (bnc#395753)
- 2.16.12
* Mon May 26 2008 jsuchome@suse.cz
- enable reading pattern files with more patterns (bnc#393515)
- create_package_descr : added option for creating file lists (-F)
- updated list of supported pattern metadata keys
- enable compressing packages and pattern files, added sysconfig
  support
- 2.16.11
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Apr 28 2008 jsuchome@suse.cz
- save list of products to $HOME if module is not called by root
- added /etc/sysconfig/add-on-creator for storing default values
- 2.16.10
* Fri Apr 25 2008 jsuchome@suse.cz
- fixed some widget layouts
- allow deleting keys from package descriptions
- 2.16.9
* Mon Apr 21 2008 jsuchome@suse.cz
- default product is openSUSE11.0
- root not required for running
- 2.16.8
* Mon Apr 14 2008 jsuchome@suse.cz
- added an option for generating Changelog using mk_changelog
- 2.16.7
* Mon Apr  7 2008 jsuchome@suse.cz
- offered SLE10SP2 products as a base for new AddOn (bnc#377091)
- fixed typo (bnc#376702)
- 2.16.6
* Sun Mar 30 2008 jsuchome@suse.cz
- merged proofread texts
- 2.16.5
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Wed Feb 13 2008 jsuchome@suse.cz
- new summary screen with the list of already configured add-ons
- CLI support for handling of saved configurations
- removed add-on-creator_auto.ycp and add-on-creator_proposal.ycp
- 2.16.4
* Tue Dec 11 2007 jsuchome@suse.cz
- added suport for PATTERNS and SHORTLABEL tags in content (F302398)
- clear some cache when going back
- 2.16.3
* Fri Dec  7 2007 jsuchome@suse.cz
- offer current openSUSE version as required product (#335813)
- 2.16.2
* Mon Oct 29 2007 jsuchome@suse.cz
- gpg needs --batch parameter to run non-interactively (#336680)
- ask for reentering password when gpg fails (#297168)
- 2.16.1
* Mon Oct  1 2007 jsuchome@suse.cz
- create patterns with correct key ordering (#328816)
- after pattern import, show also keys without value (#329738)
- remember patter import path (#329731)
- 2.16.0
* Fri Sep 14 2007 jsuchome@suse.cz
- enable deleting of pattern keys (#297195)
- enable reading compressed metadata files
- 2.15.21
* Thu Aug 23 2007 jsuchome@suse.cz
- copy packages with different architectures to correct
  directories (#302439)
- reset the settings after returning to the first step (#302407)
- 2.15.20
* Fri Aug 10 2007 jsuchome@suse.cz
- licenses written to /license.tar.gz (F302018)
- enable adding EXTRA_PROV file
- CLI option for info.txt and EXTRA_PROV
- SHA1 sums of EXTRA_PROV, info.txt, license.tar.gz to content
- 2.15.19
* Tue Aug  7 2007 jsuchome@suse.cz
- licenses of packages merged into EULA.txt (F302018)
- 2.15.18
* Mon Aug  6 2007 jsuchome@suse.cz
- enable entering product name and version before content file
  dialog, so most of its mandatory keys can be filled
- 2.15.17
* Mon Aug  6 2007 jsuchome@suse.cz
- command line option for packages resigning (#287447)
- 2.15.16
* Fri Aug  3 2007 jsuchome@suse.cz
- do not require rpms for creating AddOn (#297165)
- password verification entry (#297168)
- new PackagesDescr.pm module instead of ag_packages_descr
  (Perl agent cannot handle large amount of data on input)
- during copying packages, copy whole directories to prevent too
  long line with bash command
- 2.15.15
* Thu Aug  2 2007 jsuchome@suse.cz
- tag for suggested packages in pattern is Psg, not Prs
- licenses saved in /media.1/license directory and not compressed,
  license.txt duplicated as EULA.txt (F302018)
- added button for importing package license text
- 2.15.14
* Tue Jul 31 2007 jsuchome@suse.cz
- offered SLE10SP1 products as a base for new AddOn
* Thu Jun 14 2007 jsuchome@suse.cz
- enable resigning of the packages (#287447)
* Thu Jun 14 2007 jsuchome@suse.cz
- checkbox for marking pattern as required (#224342)
- 2.15.13
* Fri Jun  8 2007 jsuchome@suse.cz
- show ID for GPG key (#275885)
- 2.15.12
* Thu Jun  7 2007 jsuchome@suse.cz
- fix installation of inst-source-utils in CLI mode (#281792)
- 2.15.11
* Wed May 30 2007 jsuchome@suse.cz
- added support for source rpm's (#279004)
- 2.15.10
* Tue May 22 2007 jsuchome@suse.cz
- enable rpm directory with .rpm extension (#276861)
- 2.15.9
* Mon May 21 2007 jsuchome@suse.cz
- fixed signing content file (#275883)
- fixed exporting gpg key (#275900)
- 2.15.8
* Thu May 17 2007 jsuchome@suse.cz
- clear pattern data map before importing next one (#273528)
- 2.15.7
* Wed May  2 2007 jsuchome@suse.cz
- enable usage of spaces in output path
- 2.15.6
* Thu Apr 19 2007 jsuchome@suse.cz
- tell GPG to not access tty (#266115)
- set reasonable default value for LABEL (#265493)
- 2.15.5
* Wed Apr 11 2007 jsuchome@suse.cz
- really report error if gpg fails (#260588)
- added 'sign' command for CLI (F302049)
- 2.15.4
* Thu Apr  5 2007 jsuchome@suse.cz
- added basic Export functionality to support calls from other
  modules (F301945)
- added command line interface (F302049)
- report error if gpg fails (#260588)
- 2.15.3
* Tue Mar  6 2007 jsuchome@suse.cz
- do not allow special characters in pattern names (#251317)
- 2.15.2
* Mon Mar  5 2007 jsuchome@suse.cz
- do not require autoyast2-utils, there is inst-source-utils (#250860)
- 2.15.1
* Wed Jan 31 2007 jsuchome@suse.cz
- initial version for STABLE
- 2.15.0
* Tue Jan 30 2007 jsuchome@suse.cz
- fixed pattern aggent to read language specific keys (#239828)
- do not sign theproduct when key was not provided (#238282)
- 2.13.11
* Thu Dec 14 2006 jsuchome@suse.cz
- optimize the speed of reading package names (#220535)
- 2.13.10
* Wed Nov 15 2006 jsuchome@suse.cz
- configure iso image file name (#220534)
- always generate ARCHIVES.gz, INDEX.gz and ls-lR.gz (#221220)
- offer additional path to packages for editing patterns (#220535)
- 2.13.9
* Mon Oct 23 2006 jsuchome@suse.cz
- used existing yast-addon.png icon (#213875)
- 2.13.8
* Mon Oct 23 2006 jsuchome@suse.cz
- support for generating servicepack.tar.gz
- import 'patches' file
- minor performance improvements
- fixed desktop file (#213878)
- 2.13.7
* Tue Oct  3 2006 jsuchome@suse.cz
- merged proofread texts
- 2.13.6
* Wed Sep 20 2006 jsuchome@suse.cz
- added generation of GPG keys
- 2.13.5
* Mon Sep 11 2006 jsuchome@suse.cz
- removed SL10.1 from the list of offered products
- text fixes from rwalter@suse.de
- 2.13.4
* Thu Aug 24 2006 jsuchome@suse.cz
- dialog configuration for workflow
- simple (=not bootable) ISO creating
- updated help texts
- 2.13.3
* Tue Aug 22 2006 jsuchome@suse.cz
- added reading (importing) of media files (in media.n directories)
- 2.13.2
* Wed Aug 16 2006 jsuchome@suse.cz
- removed agent for content file (already exists in yast2 package)
- 2.13.1
* Thu Aug 10 2006 jsuchome@suse.cz
- initial version
